Package org.apache.batchee.container.impl.controller

## Class FlowInSplitThreadRootController

- java.lang.Object
- - org.apache.batchee.container.impl.controller.JobThreadRootController
  - - org.apache.batchee.container.impl.controller.FlowInSplitThreadRootController

- All Implemented Interfaces:
    `Controller`, `ThreadRootController`

      public class FlowInSplitThreadRootController
      extends JobThreadRootController

- - ### Field Summary

    - ### Fields inherited from class org.apache.batchee.container.impl.controller.JobThreadRootController

      `jobContext, jobExecution, jobInstanceId, jobNavigator, jobStatusService, manager, parentStepContext, persistenceService, rootJobExecutionId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlowInSplitThreadRootController​(RuntimeFlowInSplitExecution flowInSplitExecution, FlowInSplitBuilderConfig config, ServicesManager manager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `batchStatusFailedFromException()` |
    `ExecutionStatus` | `originateExecutionOnThread()` | Not only are we setting the status correctly at the subjob level, we are also setting it on the execution so that it is visible by the parent split.

    - ### Methods inherited from class org.apache.batchee.container.impl.controller.JobThreadRootController

      `batchStatusStopping, endOfJob, getLastRunStepExecutions, jobListenersBeforeJob, jslStop, markJobStarted, setParentStepContext, stop, updateJobBatchStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowInSplitThreadRootController

          public FlowInSplitThreadRootController​(RuntimeFlowInSplitExecution flowInSplitExecution,
                                                 FlowInSplitBuilderConfig config,
                                                 ServicesManager manager)

  - ### Method Detail

    - #### originateExecutionOnThread

          public ExecutionStatus originateExecutionOnThread()

      Not only are we setting the status correctly at the subjob level, we are also setting it on the execution so that it is visible by the parent split.
      Specified by:
        `originateExecutionOnThread` in interface `ThreadRootController`
      Overrides:
        `originateExecutionOnThread` in class `JobThreadRootController`

    - #### batchStatusFailedFromException

          protected void batchStatusFailedFromException()

      Overrides:
        `batchStatusFailedFromException` in class `JobThreadRootController`